crashpad::ProcessReaderMac::Module Struct Reference

Contains information about a module loaded into a process. More...

`#include "snapshot/mac/process_reader_mac.h"`

## Public Attributes

std::string | name
| The pathname used to load the module from disk.
const MachOImageReader * | reader
| An image reader for the module. More...
time_t | timestamp
| The module’s timestamp. More...

## Detailed Description

Contains information about a module loaded into a process.

## Member Data Documentation

## reader

const MachOImageReader* crashpad::ProcessReaderMac::Module::reader

An image reader for the module.

The lifetime of this MachOImageReader is scoped to the lifetime of the ProcessReaderMac that created it.

This field may be `nullptr` if a reader could not be created for the module.

## timestamp

time_t crashpad::ProcessReaderMac::Module::timestamp

The module’s timestamp.

This field will be `0` if its value cannot be determined. It can only be determined for images that are loaded by dyld, so it will be `0` for the main executable and for dyld itself.

The documentation for this struct was generated from the following files:

- snapshot/mac/process_reader_mac.h
- snapshot/mac/process_reader_mac.cc